[Haskell] Please check your dependencies on fgl

Ivan Miljenovic ivan.miljenovic at gmail.com
Sun Jun 6 23:00:44 EDT 2010

Thomas Bereknyei are currently re-writing fgl (just about completely
from scratch) and we plan to make an initial release to get feedback
on the API in the next few weeks.

However, I'm sending this email out now to warn people that I highly
doubt any code that was written for the current version of fgl
(http://hackage.haskell.org/package/fgl- will work with the
new version.

As such, if your code uses fgl you should ensure that the
specification of the package in your .cabal file has an explicit upper
bound (or indeed just set "fgl ==") to avoid any problems when
we release (we're trying to avoid the problems that plagued
KDE-4 by not claiming in the slightest that the initial few versions
are intended for end users).

I have already directly emailed the maintainers of any and all
packages I could find on Hackage (using Roel van Dijk's wonderful
reverse-dependency mirror at
but just in case I've missed one or there's an as-yet-unreleased
package somewhere in the works, here is the official "heads up".

Ivan Lazar Miljenovic
Ivan.Miljenovic at gmail.com

More information about the Haskell mailing list